Package com.independentsoft.graph

# Interface ICreatable

All Known Implementing Classes:
  `AadUserConversationMember`, `AppHostedMediaConfig`, `AssignedLicense`, `Attachment`, `AttachmentItem`, `Attendee`, `AutomaticRepliesSettings`, `AzureCommunicationServicesUserIdentity`, `BooleanColumn`, `BroadcastMeetingCaptionSettings`, `BroadcastMeetingSettings`, `CalculatedColumn`, `Calendar`, `CalendarGroup`, `Call`, `Channel`, `ChannelModerationSettings`, `Chart`, `Chat`, `ChatInfo`, `ChatMessage`, `ChatMessageAttachment`, `ChatMessageHostedContent`, `ChatMessageMention`, `ChatMessagePolicyViolation`, `ChatMessagePolicyViolationPolicyTip`, `ChoiceColumn`, `Column`, `ColumnDefinition`, `CommunicationsApplicationIdentity`, `CommunicationsApplicationInstanceIdentity`, `CommunicationsEncryptedIdentity`, `CommunicationsGuestIdentity`, `CommunicationsIdentitySet`, `CommunicationsPhoneIdentity`, `CommunicationsUserIdentity`, `Contact`, `ContactFolder`, `ContentType`, `ConversationMember`, `CurrencyColumn`, `CustomTimeZone`, `DateTimeColumn`, `DateTimeTimeZone`, `DaylightTimeZoneOffset`, `DefaultColumnValue`, `DocumentSetVersion`, `DriveItem`, `DriveItemMediaSource`, `DriveItemSource`, `DriveItemUploadableProperties`, `DriveRecipient`, `EmailAddress`, `Event`, `EventMessage`, `FileAttachment`, `FolderProperties`, `FollowupFlag`, `GeolocationColumn`, `Group`, `InferenceClassificationOverride`, `InternetMessageHeader`, `InvitationParticipantInfo`, `ItemAttachment`, `ItemBody`, `JoinMeetingIdSettings`, `List`, `ListInfo`, `ListItem`, `LocaleInfo`, `Location`, `LookupColumn`, `MailboxFolder`, `MailboxSettings`, `MailFolder`, `MailSearchFolder`, `MediaConfig`, `MediaInfo`, `MediaPrompt`, `MeetingParticipantInfo`, `MeetingParticipants`, `Message`, `MessageRule`, `MessageRuleActions`, `MessageRulePredicates`, `NumberColumn`, `OnlineMeeting`, `OnPremisesExtensionAttributes`, `OutlookCategory`, `OutlookGeoCoordinates`, `ParticipantInfo`, `PasswordProfile`, `PersonOrGroupColumn`, `Phone`, `PhysicalAddress`, `PlannerBucket`, `PlannerCategoryDescriptions`, `PlannerPlan`, `PlannerPlanContainer`, `PlannerPlanDetails`, `PlannerTask`, `PlannerTaskDetails`, `PublicationProperties`, `Recurrence`, `RecurrencePattern`, `RecurrenceRange`, `ReferenceAttachment`, `ServiceHostedMediaConfig`, `SharingInvitationMessage`, `SharingLink`, `SitePage`, `SizeRange`, `StandardTimeZoneOffset`, `Subscription`, `Team`, `TeamClassSettings`, `TeamDiscoverySettings`, `TeamFunSettings`, `TeamGuestSettings`, `TeamMemberSettings`, `TeamMessagingSettings`, `TextColumn`, `TimeConstraint`, `TimeSlot`, `TimeZoneBase`, `TodoTask`, `TodoTaskList`, `User`, `Website`, `WorkingHours`

public interface ICreatable
Interface for resources that can be created in Microsoft Graph API.

This interface is implemented by resource classes that support creation operations through the Microsoft Graph API. Implementing classes must provide a method to generate their JSON representation for POST requests.

Resources implementing this interface can be created using the GraphClient's create methods, which serialize the object to JSON and send it to the appropriate Microsoft Graph API endpoint.

Since:
  1.0
See Also:
  `IUpdatable`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.

- ## Method Details

  - ### toCreateJson

    String toCreateJson()
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Returns:
      JSON string representation for creating this resource